Docs
Webhooks

Create a webhook

POST/webhooks
AuthorizationBearer <token>

Enter your API key with the bc_ prefix

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

events*array<string>

Event types to subscribe to

url*string

Webhook URL to send events to

Response Body

application/json

curl -X POST "https://example.com/webhooks" \  -H "Content-Type: application/json" \  -d '{    "events": [      "crawl.completed",      "extract.failed"    ],    "url": "https://api.example.com/webhooks"  }'
{  "data": {    "createdAt": "2019-08-24T14:15:22Z",    "events": [      "string"    ],    "id": "string",    "isActive": true,    "recentDeliveries": [      {}    ],    "secret": "string",    "updatedAt": "2019-08-24T14:15:22Z",    "url": "http://example.com"  },  "success": true}